import { DataType, HttpMethod } from "../BeanFactory";
/**
 * 注解controller扩展信息
 */
export interface AnnotationModel {
    /**
     * 请求路径分组
     */
    group?: string;
    /**
     * 请求的URL路径
     */
    url?: string;
    /**
     * 请求的方法
     */
    method?: HttpMethod;
}
/**
 * 方法相关参数
 */
export interface AnnotationMapping extends AnnotationModel {
    dataType?: DataType;
}
/**
 * 自动初始化的bean
 */
export interface AnnotationBean {
    /**
     * 当某个bean存在时初始化
     */
    conditionalOnBean?: ConditionalOnBean;
    /**
     * 当某个bean不存在时初始化
     */
    conditionalOnMissBean?: ConditionalOnMissBean;
    /**
     * 别名
     */
    value?: string;
    /**
     * 主要只存在有单实例
     */
    primary?: boolean;
    /**
     * 是否替换
     */
    replace?: boolean;
}
export interface ConditionalOnBean {
    /**
     * 标识
     */
    value?: string;
    /**
     * 类对象
     */
    bean?: object;
}
export interface ConditionalOnMissBean extends ConditionalOnBean {
}
