"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ArrayUtil = void 0;
var ArrayUtil;
(function (ArrayUtil) {
    function arrayMoveMutable(array, fromIndex, toIndex) {
        const startIndex = fromIndex < 0 ? array.length + fromIndex : fromIndex;
        if (startIndex >= 0 && startIndex < array.length) {
            const endIndex = toIndex < 0 ? array.length + toIndex : toIndex;
            const [item] = array.splice(fromIndex, 1);
            array.splice(endIndex, 0, item);
        }
    }
    ArrayUtil.arrayMoveMutable = arrayMoveMutable;
    /**
     * 移动数组位置
     * @param array 原数据
     * @param fromIndex 移动的索引
     * @param toIndex 目标索引
     */
    function arrayMoveImmutable(array, fromIndex, toIndex) {
        array = [...array];
        arrayMoveMutable(array, fromIndex, toIndex);
        return array;
    }
    ArrayUtil.arrayMoveImmutable = arrayMoveImmutable;
})(ArrayUtil = exports.ArrayUtil || (exports.ArrayUtil = {}));
